/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.testframework.demo;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * This class extends HttpServlet class and it is used for demo purpose.
 * </p>
 *
 * <p>
 * The test case for this servlet implementation is TestSimpleServlet, it is based on the Testing Framework
 * component and demonstrates how to write test case under Testing Framework component.
 * </p>
 *
 * @author TCSDEVELOPER
 * @version 1.0
 */
public class SimpleServlet extends HttpServlet  {

    /**
     * <p>
     * Default constructor, create a new SimpleServlet instance.
     * </p>
     *
     */
    public SimpleServlet() {
    }

    /**
     * <p>
     * Overrides the doGet() method of HttpServlet to handle the request and write some plain text data to response.
     * It is just used for demonstration.
     * </p>
     *
     * @param request The HttpRequest instance.
     * @param response The HttpResponse instance.
     *
     * @throws IOException when any exception which is due to input/output problems occurs.
     * @throws ServletException when the request cannot be handled.
     */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException {
        String userName = request.getParameter("userName");

        // writes the userName in request to the response in plain text format.
        if (userName == null) {
            response.getWriter().write("Hello, Stranger!");
        } else {
            response.getWriter().write("Hello, " + userName + "!");
        }
        response.getWriter().flush();
    }

}
